package channel

import (
	"context"
	"git.oa00.com/supply-chain/service/client"
	"github.com/smallnest/rpcx/share"
)

const (
	MqSubscribeNameSkuPriceChange = "sku_price_change" // sku价格变动
	MqSubscribeNameSkuChange      = "sku_change"       // sku信息变动
)

type mq struct {
}
type ArgsMqSubscribe struct {
	Name string // 队列名称
}

// Subscribe @Title 订阅mq
func (m *mq) Subscribe(ctx context.Context, channelId string, args ArgsMqSubscribe) (err error) {
	reply := 0
	xClient, err := client.GetClient(m)
	if err != nil {
		return
	}
	err = xClient.Call(context.WithValue(ctx, share.ReqMetaDataKey, map[string]string{"channelId": channelId}), "Subscribe", args, &reply)
	return
}
